MKSHARE(1)

NAME
mkshare - make a reference to a shared library

SYNOPSIS
mkshare [-i] [-p] [-n pathname] [-o output] library

DESCRIPTION
mkshare generates a linkable reference to the given shared library. The result is an object module with magic number 0407 (OMAGIC) which may be passed to ld(1). The object module contains all the symbols from the shared library plus that part of the shared library text which will be required to link a reference to the shared library into a program (or other shared library) and the shared library data.

The argument is the single shared library to which the reference will be made. The library is not altered.

Because a shared library cannot normally be deleted once it has been installed in a system (old programs still use the library even if new ones are linked to use a different library) mkshare implements a naming scheme for shared libraries which allows the link time of the library to be built into the name - thus different instances of the same library can exist at the same time.

OPTIONS

-i  Add a unique id based on the shared library's timestamp to the end of the name used for the shared library (specified by -n or from the input file name.) The id is simply the timestamp in yymmddhhmm.ss format.

-p  Instead of making the reference just print the shared library name - this is intended for use with -i to find the full name for installation of a shared library.

-n  This option is followed by the full path name of the shared library - the reference to the library will contain this path name (rather than the library name specified on the command line.)

-o  This specifies the name of the reference. If not given this defaults to the library name with the trailing `.?' replaced by `.o' or (if the library name does not end in `.?') with the suffix `.o' appended.

SEE ALSO
ld(1), a.out(5)